<?php
/**
 * Josetta - native multilingual manager for Joomla!
 *
 * @author      Yannick Gaultier
 * @copyright   (c) Yannick Gaultier - Weeblr llc - 2015
 * @package     josetta
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version     2.3.1.643
 * @date		2015-04-05
 */

// No direct access

defined('_JEXEC') or die('Restricted access');

if (version_compare(JVERSION, '3.0', 'ge') && !empty($this->sidebar)) :
?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php
else : ?>
	<div id="j-main-container">
<?php
endif;

echo ShlMvcLayout_Helper::render('com_josetta.general.need_full_' . $this->joomlaVersionPrefix,
	array('message' => JText::sprintf('COM_JOSETTA_NEED_FULL', JosettaadminHelper_General::getLandingPageUrl())), JOSETTA_LAYOUTS_PATH);
?>

<div class="josetta-footer-container">
	<?php echo $this->footerText; ?>
</div>
<?php

if (version_compare(JVERSION, '3.0', 'ge'))
{
	echo '</div>';
}
