<?php
/**
 * Josetta - native multilingual manager for Joomla!
 *
 * @author      Yannick Gaultier
 * @copyright   (c) Yannick Gaultier - Weeblr llc - 2015
 * @package     josetta
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version     2.3.1.643
 * @date		2015-04-05
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.model');

/**
 * Translation suggestion Model
 *
 * @package		com_josetta
 * @subpackage	com_josetta
 */
class JosettaModelSuggestfree extends ShlMvcModel_Base
{
	/**
	 * Query a translation service to get an automated
	 * suggestion for a given translation
	 *
	 * @param string $sourceLanguage (with -, not _)
	 * @param string $targetLanguage
	 * @param string $text the text to be translated, as UTF-8
	 * @param string $type type of text to be translated, text/plan vs text/html
	 */
	public function translate($sourceLanguage, $targetLanguage, $text, $type)
	{
		$notSetResponse = new stdClass();
		$notSetResponse->status = 501;
		$notSetResponse->msg = JText::_('COM_JOSETTA_SUGGESTION_ERROR_SERVICE_NOT_SET');
		$notSetResponse->text = '';

		return $notSetResponse;
	}
}

